Bug 1488579 - [upstream] : dynamic dropdown list can be created without providing entry point in new dialog editor
Summary: [upstream] : dynamic dropdown list can be created without providing entry poi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Roman Blanco
QA Contact: Shveta
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-05 18:09 UTC by Shveta
Modified: 2019-02-07 23:02 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:46 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:02:54 UTC

Description Shveta 2017-09-05 18:09:20 UTC
Description of problem: In the old dialog editor , entering entry point is mandatory If the dropdown list is dynamic . Same validation should be imposed in new dialog editor.


Version-Release number of selected component (if applicable):
 master.20170901162258_bf64a63 

How reproducible:


Steps to Reproduce:
1. Create a dialog in new dialog editor. Add dropdown list element.
2. Make it dynamic and save . No validation for entry point is shown.
3.

Actual results:


Expected results:
Entry point should be mandatory if element is dynamic

Additional info:

Comment 2 Dave Johnson 2018-01-11 05:02:41 UTC
Shveta, is this still an issue on 5.9?

Comment 3 Shveta 2018-02-05 18:55:14 UTC
Still an issue in 5.9.0.19.20180130154138_e545381

Comment 4 Sudhir Mallamprabhakara 2018-06-14 15:09:57 UTC
Can you check in latest 5.9.3.1??

Comment 5 Shveta 2018-07-03 18:40:53 UTC
Still an issue in 5.9.3.4.20180702181921_afd03d7

Comment 7 CFME Bot 2018-07-24 13:02:56 UTC
New commit detected on ManageIQ/ui-components/master:

https://github.com/ManageIQ/ui-components/commit/3e8ea5f31a6a6b3ad8ff2800dead1164e6bfe336
commit 3e8ea5f31a6a6b3ad8ff2800dead1164e6bfe336
Author:     Roman Blanco <rblanco@redhat.com>
AuthorDate: Tue Jul 17 13:48:59 2018 -0400
Commit:     Roman Blanco <rblanco@redhat.com>
CommitDate: Tue Jul 17 13:48:59 2018 -0400

    Verification for specified entry point in dynamic dropdown added

    Fixes: https://bugzilla.redhat.com/show_bug.cgi?id=1488579

 src/dialog-editor/services/dialogValidationService.ts | 2 +
 1 file changed, 2 insertions(+)

Comment 8 Shveta 2018-08-15 18:14:20 UTC
Fixed in 5.10.0.8.20180801220537_afb552b

Comment 9 errata-xmlrpc 2019-02-07 23:02:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.